/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Irradiation Event XRay Source Data
 */
public enum EnumCV_IrradiationEventXRaySourceData 
{
	// Irradiation Event XRay Source Data - CID 10003B
	DOSE_RP_113738("113738"),
	REFERENCE_POINTDEFINITION_113780("113780"),
	AVERAGE_GLANDULAR_DOSE_111631("111631"),
	FLUORO_MODE_113732("113732"),
	PULSE_RATE_113791("113791"),
	NUMBER_OF_PULSES_113768("113768"),
	DERIVATION_121401("121401"),
	PULSEWIDTH_113793("113793"),
	IRRADIATION_DURATION_113742("113742"),
	KVP_113733("113733"),
	X_RAYTUBE_CURRENT_113734("113734"),
	AVERAGE_X_RAY_TUBECURRENT_113767("113767"),
	EXPOSURE_TIME_113824("113824"),
	EXPOSURE_113736("113736"),
	FOCAL_SPOT_SIZE_113766("113766"),
	ANODE_TARGET_MATERIAL_111632("111632"),
	XRAY_FILTERS_113771("113771"),
	X_RAYFILTER_TYPE_113772("113772"),
	X_RAY_FILTER_MATERIAL_113757("113757"),
	X_RAY_FILTER_THICKNESS_MINIMUM_113758("113758"),
	X_RAY_FILTER_THICKNESS_MAXIMUM_113773("113773"),
	COLLIMATED_FIELD_AREA_113790("113790"),
	COLLIMATED_FIELD_HEIGHT_113788("113788"),
	COLLIMATED_FIELD_WIDTH_113789("113789"),
	X_RAY_GRID_111635("111635"),
	
;
	private String value;
	
	EnumCV_IrradiationEventXRaySourceData(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}